﻿@{
    ViewData["Title"] = "PPDB Redaksi Email";
}
<section class="section">
    <div class="section-header">
        <h1>PPDB Redaksi Email</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Redaksi Email</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! Sepertinya tidak ada data, silahkan tambah baru <br /><br />
                <button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-6">List Data</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Redaksi</th>
                                @* <th>Message Body 1</th>
                                <th>Message Body 2</th> *@
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Redaksi</th>
                                @* <th>Message Body 1</th>
                                <th>Message Body 2</th> *@
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <div class="card" id="EditorForm" style="display:none;">
            <div class="card-header form-row">
                <h4 class="col-md-12">Editor Form</h4>
            </div>
            <div class="card-body">
                <form id="FormEditor" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input id="IdPpdbRedaksiEmail" name="IdPpdbRedaksiEmail" type="hidden" />
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-3" style="text-align:left;">Jenis Redaksi:</label>
                        <div class="col-sm-9">
                            <select class="form-control" name="IdJenisRedaksiEmailPpdb" id="IdJenisRedaksiEmailPpdb">
                                <option value="">- Pilih Salah Satu -</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-3" style="text-align:left;">Message Body 1:</label>
                        <div class="col-sm-9">
                            <textarea name="MessageBody1" id="MessageBody1" class="summernote"></textarea>
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-3" style="text-align:left;">Message Body 2:</label>
                        <div class="col-sm-9">
                            <textarea name="MessageBody2" id="MessageBody2" class="summernote" rows="10"></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" onclick="Kembali();" class="btn btn-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" id="BtnSaveData" onclick="DataSave();" class="btn btn-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalPreviewRedaksiEmail">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header border-warning text-white" style="background:#ff773f;border-color:#ff773f;">
                <h4 class="modal-title HeadingPreview">Redaksi Email</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" style="border-color:#ff773f;">
                <span class="BodyPreview">loading...</span>
            </div>
        </div>
    </div>
</div>